## coturn 4.1.1.1

=== debian/changelog ===
coturn (4.1.1.1-1) unstable; urgency=low

  * Sync to upstream 4.1.1.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Thu, 31 Jul 2014 00:55:33 -0700

coturn (4.1.0.2-1) unstable; urgency=low

  * Sync to upstream 4.1.0.2

 -- Oleg Moskalenko <mom040267@gmail.com>  Tue, 22 Jul 2014 13:23:09 -0700

coturn (4.1.0.1-1) unstable; urgency=low

  * Sync to upstream 4.1.0.1: SSODA support, bug fixes.

 -- Oleg Moskalenko <mom040267@gmail.com>  Tue, 22 Jul 2014 08:46:21 -0700

coturn (4.0.1.3-1) unstable; urgency=low

  * Sync to upstream 4.0.1.3

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 21 Jun 2014 00:00:39 -0700

coturn (4.0.1.2-1) unstable; urgency=low

  * Sync to upstream 4.0.1.2: Bandwidth specs implemented.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 07 Jun 2014 00:07:45 -0700

coturn (4.0.0.2-1) unstable; urgency=low

  * Sync to upstream 4.0.0.2.
  * Package description in the control file updated.

 -- Oleg Moskalenko <mom040267@gmail.com>  Fri, 23 May 2014 23:20:39 -0700

coturn (4.0.0.1-1) unstable; urgency=low

  * New upstream release.
  * Kernel channels definitions added.

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 07 May 2014 23:28:04 -0700

coturn (4.0.0.0-1) unstable; urgency=low

  * Initial Debian release (Closes: #747010)

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 07 May 2014 21:33:36 +0200

## coturn 4.5.0.8

=== Makefile ===
#################################
# Generated by configure script #
#################################
ECHO_CMD = echo
CC = cc
LDFLAGS +=  -L/usr/local/lib/ -L/usr/local/lib/ -lrt -lintl -pthread -lcrypto -lssl -levent_core -levent_extra -levent_openssl -levent_pthreads -lsqlite3  -Wl,-rpath,/usr/local/lib/ -Wl,-rpath,/usr/local/lib/ -Wl,-rpath,/usr/local/lib/postgresql -Wl,-rpath,/usr/local/lib/postgresql -Wl,-rpath,/usr/local/lib/mysql -Wl,-rpath,/usr/local/lib/mysql -Wl,-rpath,/usr/local/lib
DBLIBS +=  -lsqlite3  -L/usr/local/lib/ -L/usr/local/lib/ -lrt -lintl -pthread -lcrypto -lssl -levent_core -levent_extra -levent_openssl -levent_pthreads -lsqlite3  -L/usr/local/lib/postgresql -L/usr/local/lib/postgresql -lpq  -L/usr/local/lib/ -L/usr/local/lib/ -lrt -lintl -pthread -lcrypto -lssl -levent_core -levent_extra -levent_openssl -levent_pthreads -lsqlite3  -L/usr/local/lib/mysql -L/usr/local/lib/mysql -lmysqlclient -lmongoc-1.0 -lbson-1.0 -lhiredis
CFLAGS += -g  -Wall -Wno-deprecated-declarations -Wextra -Wformat-security -Wnested-externs -Wstrict-prototypes  -Wmissing-prototypes -Wpointer-arith -Wcast-qual -I/usr/local/include -I/usr/local/include/ -I/usr/local/include  -DTURN_HAS_SIN_LEN -DTURN_HAS_DAEMON  -DTURN_SCTP_INCLUDE="</usr/include/netinet/sctp.h>"     -DINSTALL_PREFIX=/usr/local -DTURNDB=/usr/local/var/db/turndb
CPPFLAGS = 
DBCFLAGS +=  -I/usr/local/pgsql/include -I/usr/local/include/pgsql/ -I/usr/local/include/postgres/ -I/usr/local/postgres/include/ -I/usr/local/include/postgresql/ -I/usr/local/postgresql/include/ -I/usr/local/pgsql/include -I/usr/local/include/pgsql/ -I/usr/local/include/postgres/ -I/usr/local/postgres/include/ -I/usr/local/include/postgresql/ -I/usr/local/postgresql/include/ -I/usr/pgsql/include -I/usr/include/pgsql/ -I/usr/include/postgres/ -I/usr/postgres/include/ -I/usr/include/postgresql/ -I/usr/postgresql/include/ -I/usr/local/mysql/include -I/usr/local/include/mysql/ -I/usr/local/mysql/include -I/usr/local/include/mysql/ -I/usr/mysql/include -I/usr/include/mysql/  -I/usr/local/include/libmongoc-1.0 -I/usr/local/include/libbson-1.0 -I/usr/local/include/libmongoc-1.0 -I/usr/local/include/libbson-1.0  -I/usr/local/include/hiredis -I/usr/local/include/hiredis     
#
PORTNAME = turnserver
PREFIX = /usr/local
prefix = /usr/local
BINDIR = /usr/local/bin
bindir = /usr/local/bin
LOCALSTATEDIR = /usr/local/var
localstatedir = /usr/local/var
TURNDBDIR = /usr/local/var/db
turndbdir = /usr/local/var/db
CONFDIR = /usr/local/etc
confdir = /usr/local/etc
MANPREFIX = /usr/local
manprefix = /usr/local
EXAMPLESDIR = /usr/local/share/examples/turnserver
examplesdir = /usr/local/share/examples/turnserver
DOCSDIR = /usr/local/share/doc/turnserver
docsdir = /usr/local/share/doc/turnserver
LIBDIR = /usr/local/lib
libdir = /usr/local/lib
SCHEMADIR = /usr/local/share/turnserver
schemadir = /usr/local/share/turnserver
INCLUDEDIR = /usr/local/include
includedir = /usr/local/include
TURNINCLUDEDIR = /usr/local/include/turn
turnincludedir = /usr/local/include/turn
#
ARCHIVERCMD = ar -r
MKDIR = install -d
SQLITE_CMD = sqlite3
INSTALL_PROGRAM = install
PKILL_PROGRAM = pkill
INSTALL_MAN = install
INSTALL_SCRIPT = install
INSTALL_SHARED_LIB = install
INSTALL_STATIC_LIB = install
INSTALL_DATA = install
INSTALL_DIR = cp -rpf
MKBUILDDIR = mkdir -p
RMCMD = rm -rf
MORECMD = cat
LDCONFIG=ldconfig -m
################################


LIBEVENT_INCLUDE = -I${PREFIX}/include/ -I/usr/local/include/

INCFLAGS = -Isrc -Isrc/apps/common -Isrc/server -Isrc/client -Isrc/client++ ${LIBEVENT_INCLUDE} 

CFLAGS += ${INCFLAGS}

MAKE_DEPS = Makefile

LIBCLIENTTURN_HEADERS = src/ns_turn_defs.h src/client++/TurnMsgLib.h src/client/ns_turn_ioaddr.h src/client/ns_turn_msg.h src/client/ns_turn_msg_defs.h src/client/ns_turn_msg_defs_experimental.h src/client/ns_turn_msg_addr.h
LIBCLIENTTURN_MODS = src/client/ns_turn_ioaddr.c src/client/ns_turn_msg_addr.c src/client/ns_turn_msg.c 
LIBCLIENTTURN_DEPS = ${LIBCLIENTTURN_HEADERS} ${MAKE_DEPS} 
LIBCLIENTTURN_OBJS = build/obj/ns_turn_ioaddr.o build/obj/ns_turn_msg_addr.o build/obj/ns_turn_msg.o 

SERVERTURN_HEADERS = src/server/ns_turn_allocation.h src/server/ns_turn_ioalib.h src/server/ns_turn_khash.h src/server/ns_turn_maps_rtcp.h src/server/ns_turn_maps.h src/server/ns_turn_server.h src/server/ns_turn_session.h 
SERVERTURN_DEPS = ${LIBCLIENTTURN_HEADERS} ${SERVERTURN_HEADERS} ${MAKE_DEPS} 
SERVERTURN_MODS = ${LIBCLIENTTURN_MODS} src/server/ns_turn_allocation.c src/server/ns_turn_maps_rtcp.c src/server/ns_turn_maps.c src/server/ns_turn_server.c

COMMON_HEADERS = src/apps/common/apputils.h src/apps/common/ns_turn_openssl.h src/apps/common/ns_turn_utils.h src/apps/common/stun_buffer.h
COMMON_MODS = src/apps/common/apputils.c src/apps/common/ns_turn_utils.c src/apps/common/stun_buffer.c
COMMON_DEPS = ${LIBCLIENTTURN_DEPS} ${COMMON_MODS} ${COMMON_HEADERS}

IMPL_HEADERS = src/apps/relay/ns_ioalib_impl.h src/apps/relay/ns_sm.h src/apps/relay/turn_ports.h
IMPL_MODS = src/apps/relay/ns_ioalib_engine_impl.c src/apps/relay/turn_ports.c src/apps/relay/http_server.c
IMPL_DEPS = ${COMMON_DEPS} ${IMPL_HEADERS} ${IMPL_MODS}

HIREDIS_HEADERS = src/apps/common/hiredis_libevent2.h
HIREDIS_MODS = src/apps/common/hiredis_libevent2.c

USERDB_HEADERS = src/apps/relay/dbdrivers/dbdriver.h src/apps/relay/dbdrivers/dbd_sqlite.h src/apps/relay/dbdrivers/dbd_pgsql.h src/apps/relay/dbdrivers/dbd_mysql.h src/apps/relay/dbdrivers/dbd_mongo.h src/apps/relay/dbdrivers/dbd_redis.h
USERDB_MODS = src/apps/relay/dbdrivers/dbdriver.c src/apps/relay/dbdrivers/dbd_sqlite.c src/apps/relay/dbdrivers/dbd_pgsql.c src/apps/relay/dbdrivers/dbd_mysql.c src/apps/relay/dbdrivers/dbd_mongo.c src/apps/relay/dbdrivers/dbd_redis.c

SERVERAPP_HEADERS = src/apps/relay/userdb.h src/apps/relay/tls_listener.h src/apps/relay/mainrelay.h src/apps/relay/turn_admin_server.h src/apps/relay/dtls_listener.h src/apps/relay/libtelnet.h ${HIREDIS_HEADERS} ${USERDB_HEADERS}
SERVERAPP_MODS = src/apps/relay/mainrelay.c src/apps/relay/netengine.c src/apps/relay/libtelnet.c src/apps/relay/turn_admin_server.c src/apps/relay/userdb.c src/apps/relay/tls_listener.c src/apps/relay/dtls_listener.c ${HIREDIS_MODS} ${USERDB_MODS}
SERVERAPP_DEPS = ${SERVERTURN_MODS} ${SERVERTURN_DEPS} ${SERVERAPP_MODS} ${SERVERAPP_HEADERS} ${COMMON_DEPS} ${IMPL_DEPS} lib/libturnclient.a

TURN_BUILD_RESULTS = bin/turnutils_oauth bin/turnutils_natdiscovery bin/turnutils_stunclient bin/turnutils_rfc5769check bin/turnutils_uclient bin/turnserver bin/turnutils_peer lib/libturnclient.a include/turn/ns_turn_defs.h sqlite_empty_db

.PHONY: all test check clean distclean sqlite_empty_db install deinstall uninstall reinstall

all:	${TURN_BUILD_RESULTS}

test:	check

check:	bin/turnutils_rfc5769check
	bin/turnutils_rfc5769check

include/turn/ns_turn_defs.h:	src/ns_turn_defs.h
	${RMCMD} include
	${MKBUILDDIR} include/turn/client
	cp -pf src/client/*.h include/turn/client/
	cp -pf src/client++/*.h include/turn/client/
	cp -pf src/ns_turn_defs.h include/turn/

bin/turnutils_uclient:	${COMMON_DEPS} src/apps/uclient/session.h lib/libturnclient.a src/apps/uclient/mainuclient.c src/apps/uclient/uclient.c src/apps/uclient/uclient.h src/apps/uclient/startuclient.c src/apps/uclient/startuclient.h
	${MKBUILDDIR} bin
	${CC} ${CPPFLAGS} ${CFLAGS} src/apps/uclient/uclient.c src/apps/uclient/startuclient.c src/apps/uclient/mainuclient.c ${COMMON_MODS} -o $@ -Llib -lturnclient -Llib ${LDFLAGS}  

bin/turnutils_natdiscovery:	${COMMON_DEPS} lib/libturnclient.a src/apps/natdiscovery/natdiscovery.c
	pwd
	${MKBUILDDIR} bin
	${CC} ${CPPFLAGS} ${CFLAGS} src/apps/natdiscovery/natdiscovery.c ${COMMON_MODS} -o $@ -Llib -lturnclient -Llib ${LDFLAGS}

bin/turnutils_oauth:	${COMMON_DEPS} lib/libturnclient.a src/apps/oauth/oauth.c
	pwd
	${MKBUILDDIR} bin
	${CC} ${CPPFLAGS} ${CFLAGS} src/apps/oauth/oauth.c ${COMMON_MODS} -o $@ -Llib -lturnclient -Llib ${LDFLAGS}

bin/turnutils_stunclient:	${COMMON_DEPS} lib/libturnclient.a src/apps/stunclient/stunclient.c 
	pwd
	${MKBUILDDIR} bin
	${CC} ${CPPFLAGS} ${CFLAGS} src/apps/stunclient/stunclient.c ${COMMON_MODS} -o $@ -Llib -lturnclient -Llib ${LDFLAGS}   

bin/turnutils_rfc5769check:	${COMMON_DEPS} lib/libturnclient.a src/apps/rfc5769/rfc5769check.c 
	pwd
	${MKBUILDDIR} bin
	${CC} ${CPPFLAGS} ${CFLAGS} src/apps/rfc5769/rfc5769check.c ${COMMON_MODS} -o $@ -Llib -lturnclient -Llib ${LDFLAGS} 

bin/turnserver:	${SERVERAPP_DEPS}
	${MKBUILDDIR} bin
	${RMCMD} bin/turnadmin
	${CC} ${CPPFLAGS} ${CFLAGS} ${DBCFLAGS} ${IMPL_MODS} -Ilib ${SERVERAPP_MODS} ${COMMON_MODS} ${SERVERTURN_MODS} -o $@ ${DBLIBS} ${LDFLAGS} 
	cd bin; ln -s turnserver turnadmin  

bin/turnutils_peer:	${COMMON_DEPS} ${LIBCLIENTTURN_MODS} ${LIBCLIENTTURN_DEPS} lib/libturnclient.a src/apps/peer/mainudpserver.c src/apps/peer/udpserver.h src/apps/peer/udpserver.c
	${MKBUILDDIR} bin
	${CC} ${CPPFLAGS} ${CFLAGS} src/apps/peer/mainudpserver.c src/apps/peer/udpserver.c ${COMMON_MODS} -o $@ -Llib -lturnclient -Llib ${LDFLAGS}  

### Client Library:

lib/libturnclient.a:	${LIBCLIENTTURN_OBJS} ${LIBCLIENTTURN_DEPS}
	${MKBUILDDIR} lib
	${ARCHIVERCMD} $@ ${LIBCLIENTTURN_OBJS}

build/obj/ns_turn_ioaddr.o:	src/client/ns_turn_ioaddr.c ${LIBCLIENTTURN_DEPS}
	${MKBUILDDIR} build/obj
	${CC} ${CPPFLAGS} ${CFLAGS} -c src/client/ns_turn_ioaddr.c -o $@

build/obj/ns_turn_msg_addr.o:	src/client/ns_turn_msg_addr.c ${LIBCLIENTTURN_DEPS}
	${MKBUILDDIR} build/obj
	${CC} ${CPPFLAGS} ${CFLAGS} -c src/client/ns_turn_msg_addr.c -o $@

build/obj/ns_turn_msg.o:	src/client/ns_turn_msg.c ${LIBCLIENTTURN_DEPS}
	${MKBUILDDIR} build/obj
	${CC} ${CPPFLAGS} ${CFLAGS} -c src/client/ns_turn_msg.c -o $@

### Clean all:

clean:	
	${RMCMD} bin build lib obj *bak *~ */*~ */*/*~ */*/*/*~ *core */*core */*/*core include tmp sqlite

distclean:	clean
	${RMCMD} Makefile

### SQLite empty database:
sqlite_empty_db	:	sqlite/turndb

sqlite/turndb	:	turndb/schema.sql
	${MKDIR} sqlite
	${RMCMD} sqlite/turndb
	${SQLITE_CMD} sqlite/turndb < turndb/schema.sql

### Install all:

install:	all ${MAKE_DEPS}
	${MKDIR} ${DESTDIR}${PREFIX}
	${MKDIR} ${DESTDIR}${BINDIR}
	${MKDIR} ${DESTDIR}${TURNDBDIR}
	${MKDIR} ${DESTDIR}${MANPREFIX}/man/man1
	${MKDIR} ${DESTDIR}${CONFDIR}
	${MKDIR} ${DESTDIR}${LIBDIR}
	${MKDIR} ${DESTDIR}${EXAMPLESDIR}
	${MKDIR} ${DESTDIR}${DOCSDIR}
	${MKDIR} ${DESTDIR}${SCHEMADIR}
	${MKDIR} ${DESTDIR}${TURNINCLUDEDIR}
	${INSTALL_PROGRAM} bin/turnserver ${DESTDIR}${BINDIR}
	${INSTALL_PROGRAM} bin/turnadmin ${DESTDIR}${BINDIR}
	${INSTALL_PROGRAM} bin/turnutils_uclient ${DESTDIR}${BINDIR}
	${INSTALL_PROGRAM} bin/turnutils_peer ${DESTDIR}${BINDIR}
	${INSTALL_PROGRAM} bin/turnutils_stunclient ${DESTDIR}${BINDIR}
	${INSTALL_PROGRAM} bin/turnutils_oauth ${DESTDIR}${BINDIR}
	${INSTALL_PROGRAM} bin/turnutils_natdiscovery ${DESTDIR}${BINDIR}
	${INSTALL_MAN} man/man1/turnserver.1 ${DESTDIR}${MANPREFIX}/man/man1/
	${INSTALL_MAN} man/man1/turnadmin.1 ${DESTDIR}${MANPREFIX}/man/man1/
	${INSTALL_MAN} man/man1/turnutils.1 ${DESTDIR}${MANPREFIX}/man/man1/
	${INSTALL_MAN} man/man1/turnutils_uclient.1 ${DESTDIR}${MANPREFIX}/man/man1/
	${INSTALL_MAN} man/man1/turnutils_stunclient.1 ${DESTDIR}${MANPREFIX}/man/man1/
	${INSTALL_MAN} man/man1/turnutils_oauth.1 ${DESTDIR}${MANPREFIX}/man/man1/
	${INSTALL_MAN} man/man1/turnutils_natdiscovery.1 ${DESTDIR}${MANPREFIX}/man/man1/
	${INSTALL_MAN} man/man1/turnutils_peer.1 ${DESTDIR}${MANPREFIX}/man/man1/
	${INSTALL_MAN} man/man1/coturn.1 ${DESTDIR}${MANPREFIX}/man/man1/
	${INSTALL_STATIC_LIB} lib/libturnclient.a ${DESTDIR}${LIBDIR}
	${INSTALL_DATA} LICENSE ${DESTDIR}${DOCSDIR}
	${INSTALL_DATA} README.turnserver ${DESTDIR}${DOCSDIR}
	${INSTALL_DATA} README.turnadmin ${DESTDIR}${DOCSDIR}
	${INSTALL_DATA} README.turnutils ${DESTDIR}${DOCSDIR}
	${INSTALL_DATA} INSTALL ${DESTDIR}${DOCSDIR}
	${INSTALL_DATA} postinstall.txt ${DESTDIR}${DOCSDIR}
	${INSTALL_DATA} turndb/schema.sql ${DESTDIR}${DOCSDIR}
	${INSTALL_DATA} turndb/schema.sql ${DESTDIR}${SCHEMADIR}

## coturn 4.1.2.1

=== debian/changelog ===
coturn (4.1.2.1-1) unstable; urgency=low

  * Sync to upstream 4.1.2.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 20 Aug 2014 22:23:56 -0700

=== debian/control ===
Source: coturn
Section: net
Priority: extra
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>, 
	   Oleg Moskalenko <mom040267@gmail.com>
Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), 
	       libssl-dev (>= 1.0.0~), libevent-dev (>= 2.0.1~), 
	       postgresql-client, libpq-dev, mysql-client, 
	       libmysqlclient-dev, libhiredis-dev
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/coturn/
Vcs-Svn: http://coturn.googlecode.com/svn/trunk/
Vcs-Browser: http://code.google.com/p/coturn/source/browse/

Package: coturn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, telnet
Conflicts: turnserver, rfc5766-turn-server
Suggests: sip-router, xmpp-server
Provides: stun-server, turn-server
Description: TURN and STUN server for VoIP 
 STUN (Session Traversal Utilities for NAT) and TURN (Traversal Using Relays
 around NAT) are protocols that can be used to provide NAT traversal for VoIP
 and WebRTC. This package provides a VoIP media traffic NAT traversal server
 and gateway.
 .
 Supported RFCs:
 TURN specs:
  * RFC 5766 - base TURN specs;
  * RFC 6062 - TCP relaying TURN extension;
  * RFC 6156 - IPv6 extension for TURN;
  * DTLS support as client protocol 
    http://tools.ietf.org/html/draft-petithuguenin-tram-turn-dtls-00;
  * Mobile ICE (MICE) support
    http://datatracker.ietf.org/doc/draft-wing-mmusic-ice-mobility.
  * TURN ORIGIN specs for multi-tenant servers
    http://tools.ietf.org/html/draft-johnston-tram-stun-origin-02
 .
 STUN specs:
  * RFC 3489 - obsolete "classic" STUN specs;
  * RFC 5389 - base "new" STUN specs;
  * RFC 5769 - test vectors for STUN protocol testing;
  * RFC 5780 - NAT behavior discovery support.
 .
 The implementation fully supports UDP, TCP, TLS, and DTLS as protocols between
 the TURN client and the TURN server. Both UDP and TCP relaying are supported.
 .
 Flat files, MySQL, PostgreSQL, or Redis are all supported for the user
 repository (if authentication is required).
 Both short-term and long-term credentials mechanisms are supported.
 For WebRTC applications, the TURN server REST API for time-limited
 secret-based authentication is implemented.
 .
 Load balancing can be implemented either by DNS round-robin mechanism, or with
 the external networking tools, or by
 the built-in ALTERNATE-SERVER mechanism.
 .
 The implementation is intended to be simple to install and configure.
 The project focuses on performance, scalability, and simplicity. 
 The aim is to provide an enterprise-grade TURN solution.

## coturn 4.2.1.2

=== debian/changelog ===
coturn (4.2.1.2-1) unstable; urgency=low

  * Sync to upstream 4.2.1.2 version: the oAuth support added.

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 13 Oct 2014 00:52:06 -0700

coturn (4.1.2.1-3) unstable; urgency=low

  * List of supported specs extended.

 -- Oleg Moskalenko <mom040267@gmail.com>  Tue, 02 Sep 2014 22:57:32 -0700

coturn (4.1.2.1-2) unstable; urgency=low

  * SVN source control tags changed to GIT

 -- Oleg Moskalenko <mom040267@gmail.com>  Tue, 02 Sep 2014 22:23:55 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	       libmysqlclient-dev, libhiredis-dev
 Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/coturn/
-Vcs-Svn: http://coturn.googlecode.com/svn/trunk/
-Vcs-Browser: http://code.google.com/p/coturn/source/browse/
+Vcs-Git: git://git.debian.org/pkg-voip/coturn.git
+Vcs-Browser: http://git.debian.org/?p=pkg-voip/coturn.git;a=summary
 
 Package: coturn
 Architecture: any
@@ -31,11 +31,15 @@
   * RFC 6062 - TCP relaying TURN extension;
   * RFC 6156 - IPv6 extension for TURN;
   * DTLS support as client protocol 
-    http://tools.ietf.org/html/draft-petithuguenin-tram-turn-dtls-00;
+    http://tools.ietf.org/html/draft-petithuguenin-tram-turn-dtls-00
   * Mobile ICE (MICE) support
-    http://datatracker.ietf.org/doc/draft-wing-mmusic-ice-mobility.
+    http://datatracker.ietf.org/doc/draft-wing-mmusic-ice-mobility
   * TURN ORIGIN specs for multi-tenant servers
     http://tools.ietf.org/html/draft-johnston-tram-stun-origin-02
+  * TURN Bandwidth draft specs
+    http://tools.ietf.org/html/draft-thomson-tram-turn-bandwidth-00
+  * SSODA (dual allocation) draft specs
+    http://tools.ietf.org/html/draft-martinsen-tram-ssoda-00
  .
  STUN specs:
   * RFC 3489 - obsolete "classic" STUN specs;

## coturn 4.3.1.3

=== debian/changelog ===
coturn (4.3.1.3-1) unstable; urgency=low

  * Sync to 4.3.1.3: a maintenance build.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 07 Dec 2014 22:50:45 -0800

coturn (4.3.1.2-1) unstable; urgency=low

  * Sync to 4.3.1.2: SQLite DB installation fixed.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 23 Nov 2014 13:38:11 -0800

coturn (4.3.1.1-1) unstable; urgency=low

  * Sync to 4.3.1.1: SQLite support added.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 23 Nov 2014 00:15:03 -0800

coturn (4.2.3.1-1) unstable; urgency=low

  * Sync to 4.2.3.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 09 Nov 2014 22:56:18 -0800

coturn (4.2.2.2-1) unstable; urgency=low

  * 1) Sync to 4.2.2.2; 2) UFW definitions added to the debian package.

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 29 Oct 2014 23:49:49 -0700

## coturn 4.3.2.2

=== debian/changelog ===
coturn (4.3.2.2-1) unstable; urgency=low

  * Sync to 4.3.2.2

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 14 Dec 2014 22:06:24 -0800

coturn (4.3.2.1-1) unstable; urgency=low

  * Sync to upstream 4.3.2.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 14 Dec 2014 21:42:37 -0800

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
 	   Oleg Moskalenko <mom040267@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), 
 	       libssl-dev (>= 1.0.0~), libevent-dev (>= 2.0.1~), 
-	       postgresql-client, libpq-dev, mysql-client, 
-	       libmysqlclient-dev, libhiredis-dev
-Standards-Version: 3.9.5
+	       sqlite3, libsqlite3-dev,
+	       postgresql-client, libpq-dev, 
+	       mysql-client, libmysqlclient-dev, 
+	       libhiredis-dev
+Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/coturn/
 Vcs-Git: git://git.debian.org/pkg-voip/coturn.git
 Vcs-Browser: http://git.debian.org/?p=pkg-voip/coturn.git;a=summary
@@ -50,7 +52,7 @@
  The implementation fully supports UDP, TCP, TLS, and DTLS as protocols between
  the TURN client and the TURN server. Both UDP and TCP relaying are supported.
  .
- Flat files, MySQL, PostgreSQL, or Redis are all supported for the user
+ SQLite, MySQL, PostgreSQL and Redis are supported for the user
  repository (if authentication is required).
  Both short-term and long-term credentials mechanisms are supported.
  For WebRTC applications, the TURN server REST API for time-limited

## coturn 4.3.3.1

=== debian/changelog ===
coturn (4.3.3.1-1) unstable; urgency=low

  * Sync to 4.3.3.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 24 Dec 2014 00:50:38 -0800

## coturn 4.4.1.1

=== debian/changelog ===
coturn (4.4.1.1-2) unstable; urgency=low

  * source control info fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Fri, 30 Jan 2015 22:34:46 -0800

coturn (4.4.1.1-1) unstable; urgency=low

  * Sync to 4.4.1.1: security fixes; https web admin connection.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 25 Jan 2015 01:50:44 -0800

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 	       libhiredis-dev
 Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/coturn/
-Vcs-Git: git://git.debian.org/pkg-voip/coturn.git
-Vcs-Browser: http://git.debian.org/?p=pkg-voip/coturn.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-voip/coturn.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-voip/coturn.git
 
 Package: coturn
 Architecture: any
@@ -54,9 +54,10 @@
  .
  SQLite, MySQL, PostgreSQL and Redis are supported for the user
  repository (if authentication is required).
- Both short-term and long-term credentials mechanisms are supported.
+ The long-term credentials mechanism is supported.
  For WebRTC applications, the TURN server REST API for time-limited
- secret-based authentication is implemented.
+ secret-based authentication is implemented. The third-party authentication
+ specs (oAuth-based) are supported, too.
  .
  Load balancing can be implemented either by DNS round-robin mechanism, or with
  the external networking tools, or by

## coturn 4.4.1.2

=== debian/changelog ===
coturn (4.4.1.2-1) unstable; urgency=low

  * Sync to 4.4.1.2 upstream

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 01 Feb 2015 20:43:30 -0800

## coturn 4.4.2.1

=== debian/changelog ===
coturn (4.4.2.1-1) unstable; urgency=low

  * Sync to the new upstream version: updated according to the new draft
    specs; bug fixes.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 08 Feb 2015 13:04:20 -0800

## coturn 4.4.4.2

=== debian/changelog ===
coturn (4.4.4.2-1) unstable; urgency=low

  * SCTP fixes.

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 05 Apr 2015 21:24:55 -0700

coturn (4.4.4.1-2) unstable; urgency=low

  * sctp example script added to install

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 23 Mar 2015 23:44:00 -0700

coturn (4.4.4.1-1) unstable; urgency=low

  * Sync to 4.4.4.1: SCTP support and encrypted admin passwords support.

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 23 Mar 2015 23:28:25 -0700

coturn (4.4.2.3-1) unstable; urgency=low

  * Sync to upstream 4.4.2.3

 -- Oleg Moskalenko <mom040267@gmail.com>  Thu, 05 Mar 2015 23:33:39 -0800

coturn (4.4.2.2-1) unstable; urgency=low

  * Sync to upstream 4.4.2.2: SQLite db schema bug fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 22 Feb 2015 21:14:19 -0800

## coturn 4.4.5.1

=== debian/changelog ===
coturn (4.4.5.1-1) unstable; urgency=low

  * Sync to 4.4.5.1 upstream

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 27 May 2015 00:17:29 -0700

## coturn 4.4.5.2

=== debian/changelog ===
coturn (4.4.5.2-1) unstable; urgency=low

  * Sync to upstream 4.4.5.2

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 06 Jun 2015 01:07:27 -0700

## coturn 4.4.5.3

=== debian/changelog ===
coturn (4.4.5.3-1) unstable; urgency=low

  * sync to 4.4.5.3: security fix

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 28 Jun 2015 20:35:15 -0700

## coturn 4.4.5.4

=== debian/changelog ===
coturn (4.4.5.4-2) unstable; urgency=low

  * Github migration

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 19 Jul 2015 14:10:51 -0700

coturn (4.4.5.4-1) unstable; urgency=low

  * Migrated to Github

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 19 Jul 2015 14:00:45 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	       mysql-client, libmysqlclient-dev, 
 	       libhiredis-dev
 Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/coturn/
+Homepage: https://github.com/coturn/coturn/
 Vcs-Git: git://anonscm.debian.org/pkg-voip/coturn.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-voip/coturn.git

## coturn 4.5.0.2

=== debian/changelog ===
coturn (4.5.0.2-3~bpo8+1) jessie-backports; urgency=medium

  * Build for jessie-backports.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 09 Oct 2015 22:14:50 +0200

coturn (4.5.0.2-3) unstable; urgency=medium

  * Telnet package dependency fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Fri, 02 Oct 2015 23:47:29 -0700

coturn (4.5.0.2-1) unstable; urgency=medium

  * DTLS segfault fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Wed, 30 Sep 2015 00:25:00 -0700

coturn (4.5.0.1-5) unstable; urgency=medium

  * Package for Sid

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 28 Sep 2015 00:17:13 -0700

coturn (4.5.0.1-4) unstable; urgency=medium

  * Copyright fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 26 Sep 2015 20:55:13 -0700

coturn (4.5.0.1-3) unstable; urgency=medium

  * Typo fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 26 Sep 2015 18:06:31 -0700

coturn (4.5.0.1-2) unstable; urgency=medium

  * Specs adjusted

 -- Oleg Moskalenko <mom040267@gmail.com>  Sat, 26 Sep 2015 15:03:38 -0700

coturn (4.5.0.1-1) unstable; urgency=low

  * Sync to upstream 4.5.0.1

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 20 Sep 2015 21:58:30 -0700

## coturn 4.5.0.3

=== debian/changelog ===
coturn (4.5.0.3-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 31 Mar 2016 12:57:00 +0000

coturn (4.5.0.3-1) unstable; urgency=medium

  * SSLv3 support removed, closes: #804440

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 15 Nov 2015 23:38:46 -0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 Package: coturn
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, telnet
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, telnet | telnet-client
 Conflicts: turnserver, rfc5766-turn-server
 Suggests: sip-router, xmpp-server
 Provides: stun-server, turn-server
@@ -32,10 +32,11 @@
   * RFC 5766 - base TURN specs;
   * RFC 6062 - TCP relaying TURN extension;
   * RFC 6156 - IPv6 extension for TURN;
+  * RFC 7635 - OAuth third-party TURN/STUN authorization;
   * DTLS support as client protocol 
     http://tools.ietf.org/html/draft-petithuguenin-tram-turn-dtls-00
   * Mobile ICE (MICE) support
-    http://datatracker.ietf.org/doc/draft-wing-mmusic-ice-mobility
+    http://tools.ietf.org/html/draft-wing-tram-turn-mobility-03
   * TURN ORIGIN specs for multi-tenant servers
     http://tools.ietf.org/html/draft-johnston-tram-stun-origin-02
   * TURN Bandwidth draft specs
@@ -55,9 +56,11 @@
  SQLite, MySQL, PostgreSQL and Redis are supported for the user
  repository (if authentication is required).
  The long-term credentials mechanism is supported.
- For WebRTC applications, the TURN server REST API for time-limited
- secret-based authentication is implemented. The third-party authentication
- specs (oAuth-based) are supported, too.
+ For WebRTC applications,
+ the TURN server REST API for time-limited
+ secret-based authentication is implemented.
+ The third-party authentication
+ specs (OAuth-based) are supported, too.
  .
  Load balancing can be implemented either by DNS round-robin mechanism, or with
  the external networking tools, or by

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
# New downloads:
http://turnserver.open-sys.org/downloads/v(\d[\d.]*)/turnserver-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## coturn 4.5.0.5

=== debian/changelog ===
coturn (4.5.0.5-1ubuntu1) zesty; urgency=medium

  * Disable autotests on armhf for now as tests segfault (when tried
    multiple times).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 21 Mar 2017 12:07:36 +0530

coturn (4.5.0.5-1) unstable; urgency=medium

  * Sync to upstream 4.5.0.5

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 16 Oct 2016 23:38:04 -0700

coturn (4.5.0.4-4) unstable; urgency=medium

  * trying to fix piuparts report

 -- Oleg Moskalenko <mom040267@gmail.com>  Tue, 23 Aug 2016 22:03:18 -0700

coturn (4.5.0.4-3) unstable; urgency=medium

  * trying to fix piuparts report

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 22 Aug 2016 23:56:49 -0700

coturn (4.5.0.4-2) unstable; urgency=medium

  * Debian Policy upgraded to 3.9.8

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 22 Aug 2016 01:32:39 -0700

coturn (4.5.0.4-1) unstable; urgency=medium

  * OpenSSL compatibility (closes: #828271)

 -- Oleg Moskalenko <mom040267@gmail.com>  Mon, 22 Aug 2016 00:10:03 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: coturn
 Section: net
 Priority: extra
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Pocock <daniel@pocock.pro>, 
 	   Oleg Moskalenko <mom040267@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), 
 	       libssl-dev (>= 1.0.0~), libevent-dev (>= 2.0.1~), 
 	       sqlite3, libsqlite3-dev,
 	       postgresql-client, libpq-dev, 
-	       mysql-client, libmysqlclient-dev, 
+	       default-mysql-client, default-libmysqlclient-dev, 
 	       libhiredis-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/coturn/coturn/
 Vcs-Git: git://anonscm.debian.org/pkg-voip/coturn.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-voip/coturn.git
 
 Package: coturn
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, telnet | telnet-client
+Depends: ${shlibs:Depends}, ${misc:Depends},
+	 lsb-base (>= 3.0-6),
+	 adduser, telnet | telnet-client
 Conflicts: turnserver, rfc5766-turn-server
 Suggests: sip-router, xmpp-server
 Provides: stun-server, turn-server

## coturn 4.5.0.6

=== debian/changelog ===
coturn (4.5.0.6-1ubuntu2) artful; urgency=medium

  * No-change rebuild against libevent-core-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 01:27:29 +0000

coturn (4.5.0.6-1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Dont run the testsuite on armhf for now as its unstable.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 06 Jun 2017 10:45:30 +0530

coturn (4.5.0.6-1) unstable; urgency=medium

  * Incompatibility with BoringSSL fixed

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 26 Mar 2017 22:09:04 -0700

## coturn 4.5.0.7

=== debian/changelog ===
coturn (4.5.0.7-1ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 12:41:30 +0000

coturn (4.5.0.7-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Dont run the testsuite on armhf for now as random segfaults occur on a
      clean chroot.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 12 Dec 2017 21:59:23 +0530

coturn (4.5.0.7-1) unstable; urgency=medium

  * Sync to upstream 4.5.0.7

 -- Oleg Moskalenko <mom040267@gmail.com>  Sun, 10 Dec 2017 20:08:06 -0800

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
# New downloads:
http://coturn.net/turnserver/v(\d[\d.]*)/turnserver-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## coturn 4.5.0.8

=== debian/changelog ===
coturn (4.5.0.8-1) unstable; urgency=medium

  [ Ferenc Wágner ]
  * [2239059] Adopt DEP-14 repo structure
  * [f670437] New upstream release (4.5.0.8)
  * [455044e] Remove misplaced example files

  [ Mészáros Mihály ]
  * [924e374] Add myself to uploader
  * [5505174] updated debian package
    - add misi@majd.eu to uploaders
    - add upstream metadata
    - add systemd service file
    - update according policy to 4.2.1
    - update urls from http to https
    - update override
    - update compat from 9 to 10
    - install readme.txt to doc
  * [bc46839] wrap-and-sort -an
  * [a468320] Review systemd starter
  * [2db2918] Add info about systemd to README
  * [e932875] Service type change to simple
  * [a9e2953] Add autopkgtest
  * [8d6976e] change back to fork
  * [26f2b19] coturn daemon need few sec to setup listeners.
    It returns elaier after fork, than it has finsihed all listener setup.
  * [0c93a39] remove sleep from test
  * [6096e86] Configure pid
  * [232176f] Add comment why we need to sleep 2 sec
  * [0a32440] Remove turnserver alias
  * [36f88e7] Add full path to sleep (for backward compatibility).

 -- Mészáros Mihály <misi@majd.eu>  Tue, 18 Dec 2018 14:43:33 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

override_dh_installexamples:
	dh_installexamples -X readme.txt

override_dh_install:
	dh_install -X examples/scripts/readme.txt

override_dh_auto_install:
	true

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --turndbdir=/var/lib/turn

%:
	dh $@  --builddirectory=.

## coturn 4.5.1.0

=== debian/changelog ===
coturn (4.5.1.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * gbp.conf debian-branch update

 -- Mészáros Mihály <misi@majd.eu>  Mon, 28 Jan 2019 17:18:10 +0100

coturn (4.5.1.0-1) unstable; urgency=medium

  * Sync to upstream 4.5.1.0
    - Fix CVE-2018-4058: coTURN unsafe loopback forwarding
      default configuration vulnerability
      - by default loopback disabled
      - no-loopback option removed!
      - allow-loopback-peers option added
    - Fix CVE-2018-4056: coTURN Administrator Web Portal
      SQL injection vulnerability
      - Web admin disabled by default
      - Web admin could listen on separated IP and port
      - web-admin-ip option added
      - web-admin-port option added
      - Web admin is disabled on STUN/TURN ports.
      - web-admin-listen-on-workers option added
        to enable web-admin STUN/TURN ports
    - Fix CVE-2018-4059: coTURN server unsafe telnet admin
      portal default configuration vulnerability
      - An empty cli-password with an allow-loopback-peers option is prohibited.
    - fix memory leak in read_config_file

 -- Mészáros Mihály <misi@majd.eu>  Mon, 28 Jan 2019 13:16:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,14 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-override_dh_installexamples:
-	dh_installexamples -X readme.txt
-
-override_dh_install:
-	dh_install -X examples/scripts/readme.txt
-
 override_dh_auto_install:
 	true
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-rpath --turndbdir=/var/lib/turn
 
+override_dh_auto_test:
+	-dh_auto_test
+
 %:
 	dh $@  --builddirectory=.

## coturn 4.5.1.1

=== debian/changelog ===
coturn (4.5.1.1-1.1build2) focal; urgency=medium

  * No-change rebuild for libevent soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 19:55:17 +0000

coturn (4.5.1.1-1.1build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 01:59:37 +0000

coturn (4.5.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't ship the (empty) /var/lib/turn/turndb SQLite database and generate it
    on-demand in the postinst instead, avoiding overwriting it on
    upgrade/reinstall. (Closes: #929269)

 -- Chris Lamb <lamby@debian.org>  Sun, 26 May 2019 15:11:04 +0100

coturn (4.5.1.1-1) unstable; urgency=medium

  * [a13ba45] Fix: missing /etc/turnserver.conf
  * [8a03c32] Revert "Temporary prevent from failing"
    This reverts commit 218987f4256a8894e06d7876c434b1f37fd0785f.
  * [96ca6cb] New upstream release (4.5.1.1) (Closes: #916919)
  * [f399223] Set log to syslog
  * [7b135b2] Upgrde to debian-policy 4.3

 -- Mészáros Mihály <misi@majd.eu>  Sun, 03 Mar 2019 00:38:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,41 @@
 Source: coturn
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.pro>, 
-	   Oleg Moskalenko <mom040267@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), 
-	       libssl-dev (>= 1.0.0~), libevent-dev (>= 2.0.1~), 
-	       sqlite3, libsqlite3-dev,
-	       postgresql-client, libpq-dev, 
-	       default-mysql-client, default-libmysqlclient-dev, 
-	       libhiredis-dev
-Standards-Version: 3.9.8
+Priority: optional
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Uploaders: Daniel Pocock <daniel@pocock.pro>,
+           Oleg Moskalenko <mom040267@gmail.com>,
+           Mészáros Mihály <misi@majd.eu>
+Build-Depends: debhelper (>=11.0.0),
+               default-libmysqlclient-dev,
+               default-mysql-client,
+               dpkg-dev (>= 1.16.1~),
+               libevent-dev (>= 2.0.1~),
+               libhiredis-dev,
+               libpq-dev,
+               libsqlite3-dev,
+               libssl-dev (>= 1.0.0~),
+               postgresql-client,
+               sqlite3
+Standards-Version: 4.3.0
 Homepage: https://github.com/coturn/coturn/
-Vcs-Git: git://anonscm.debian.org/pkg-voip/coturn.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-voip/coturn.git
+Vcs-Git: https://github.com/coturn/coturn.git -b debian/sid
+Vcs-Browser: https://github.com/coturn/coturn/tree/debian/sid
 
 Package: coturn
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
-	 lsb-base (>= 3.0-6),
-	 adduser, telnet | telnet-client
-Conflicts: turnserver, rfc5766-turn-server
-Suggests: sip-router, xmpp-server
-Provides: stun-server, turn-server
-Description: TURN and STUN server for VoIP 
+Depends: adduser,
+         sqlite3,
+         lsb-base (>= 3.0-6),
+         telnet | telnet-client,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Conflicts: rfc5766-turn-server,
+           turnserver
+Suggests: sip-router,
+          xmpp-server
+Provides: stun-server,
+          turn-server
+Description: TURN and STUN server for VoIP
  STUN (Session Traversal Utilities for NAT) and TURN (Traversal Using Relays
  around NAT) are protocols that can be used to provide NAT traversal for VoIP
  and WebRTC. This package provides a VoIP media traffic NAT traversal server
@@ -36,7 +47,7 @@
   * RFC 6062 - TCP relaying TURN extension;
   * RFC 6156 - IPv6 extension for TURN;
   * RFC 7635 - OAuth third-party TURN/STUN authorization;
-  * DTLS support as client protocol 
+  * DTLS support as client protocol
     http://tools.ietf.org/html/draft-petithuguenin-tram-turn-dtls-00
   * Mobile ICE (MICE) support
     http://tools.ietf.org/html/draft-wing-tram-turn-mobility-03
@@ -70,5 +81,5 @@
  the built-in ALTERNATE-SERVER mechanism.
  .
  The implementation is intended to be simple to install and configure.
- The project focuses on performance, scalability, and simplicity. 
+ The project focuses on performance, scalability, and simplicity.
  The aim is to provide an enterprise-grade TURN solution.

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-rpath --turndbdir=/var/lib/turn
 
-override_dh_auto_test:
-	-dh_auto_test
-
 %:
 	dh $@  --builddirectory=.

=== debian/tests/control ===
Depends: @
Restrictions: needs-root, allow-stderr, isolation-container
Tests: coturn

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
# New downloads:
https://coturn.net/turnserver/v(\d[\d.]*)/turnserver-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## coturn 4.5.1.1.1

=== debian/changelog ===
coturn (4.5.1.1.1-1.1+deb10u2) unstable; urgency=medium

  * update

 -- Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>  Thu, 08 Jul 2021 10:34:29 +0800

coturn (4.5.1.1.1-1.1+deb10u2) buster-security; urgency=high

  * [c750a89] Fix-CVE-2020-26262-Enable-Security
    - Fix ipv6 ::1 loopback check
    - Not allow allocate peer address 0.0.0.0/8 and ::/128

 -- Mészáros Mihály <misi@majd.eu>  Tue, 15 Dec 2020 17:23:34 +0100

coturn (4.5.1.1-1.1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * specially crafted HTTP POST request can lead to heap overflow which can
    result in information leak (CVE-2020-6061) (Closes: #951876)
  * specially crafted HTTP POST request can lead to server crash and denial of
    service (CVE-2020-6062) (Closes: #951876)
  * init with zero any new or reused stun buffers (CVE-2020-4067)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 26 Jun 2020 10:49:56 +0200

## coturn 4.5.1.3

=== debian/changelog ===
coturn (4.5.1.3-1ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Unsafe loopback interface
    - debian/patches/CVE-2020-26262.patch: Add check if address is in
      0.0.0.0/8 or ::/128.
    - CVE-2020-26262

 -- Mészáros Mihály <misi@majd.eu>  Mon, 14 Dec 2020 14:50:15 +0100

coturn (4.5.1.3-1) unstable; urgency=medium

  * [ec640a2] New upstream release (4.5.1.3)
    - Fixes CVE-2020-6061
      heap overflow vulnerability
      Crafted HTTP POST request can lead to information leaks
      and other misbehavior
    - Fixes CVE-2020-6062
      denial-of-service vulnerability
      Crafted HTTP POST request can lead to server crash and denial of service
    - Fixes CVE-2020-4067
      STUN response buffer not initialized
      One client (an attacker) could use their connection to intelligently
      query coturn server to get interesting bytes in the padding bytes from
      the connection of another client
    - Tidy, and remove compatibility layers
      * Remove turn_free_simple
      * Remove turn_malloc()
      * Remote turn_realloc()
      * Remote turn_free()
      * Remove turn_calloc()
      * Remove turn_strdup()
      * Remove SSL_NEW() and SSL_FREE()
      * Remove pointer debugging machinery
      * Remove ns_bzero(), ns_bcopy(), and ns_bcmp()
      * Remove [su]{08,16,32,64}bits type defines
    - Fix the webadmin ip permission add/delete sql injection
    - Fix mongo driver crash when invalid connection string is used
    - Change Diffie Hellman default key length from 1066 to 2066
    - New test Certificate and test CA
    - Fixes in packaging (rpm, docker)
  * [1af9910] Remove patch for CVE 2020 6061+6062
  * [82079ae] Update debehelper to debhelper-compat  and ver 13
  * [60997b6] Add Pre-Depends
  * [2830ed6] Add Rules-Requires-Root
  * [f648d45] Update metadata
  * [aca2929] Change Debian VoIP Team mailinglist
  * [f2f1398] exclude CA from examples and docs
  * [83c24b5] Add symlink turnutils_uclient > usr/bin/turnutils
  * [1f2cd31] migrate bin from turnserver to coturn, symlink

 -- Mészáros Mihály <misi@majd.eu>  Sat, 27 Jun 2020 17:24:51 +0200

coturn (4.5.1.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Uploaders. (Closes: #953466)
  * Fix "CVE-2020-6061 CVE-2020-6062" by applying upstream patch.
    (Closes: #951876)

 -- Tobias Frost <tobi@debian.org>  Mon, 13 Apr 2020 18:49:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: coturn
 Section: net
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.pro>,
-           Oleg Moskalenko <mom040267@gmail.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@alioth-lists.debian.net>
+Uploaders: Oleg Moskalenko <mom040267@gmail.com>,
            Mészáros Mihály <misi@majd.eu>
-Build-Depends: debhelper (>=11.0.0),
+Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                default-mysql-client,
                dpkg-dev (>= 1.16.1~),
@@ -16,13 +16,15 @@
                libssl-dev (>= 1.0.0~),
                postgresql-client,
                sqlite3
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/coturn/coturn/
-Vcs-Git: https://github.com/coturn/coturn.git -b debian/sid
-Vcs-Browser: https://github.com/coturn/coturn/tree/debian/sid
+Vcs-Git: https://github.com/coturn/coturn.git -b debian/master
+Vcs-Browser: https://github.com/coturn/coturn/tree/debian/master
+Rules-Requires-Root: no
 
 Package: coturn
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          sqlite3,
          lsb-base (>= 3.0-6),
